function [ colordepth ] = convertdepthcolor( depth, num )

if mod(num,8)~=0
    disp('Error number!');
end
[row,col]=size(depth);
colordepth=zeros([row,col,3]);
binnum=num/8;
binvalue=1:1:2*binnum;
binvalue=binvalue/(2*binnum);
colormap=zeros(num,3);

colormap(1:binnum,3)=binvalue(binnum+1:2*binnum);
colormap(binnum+1:3*binnum,2)=binvalue;
colormap(binnum+1:3*binnum,3)=1;
colormap(3*binnum+1:5*binnum,1)=binvalue;
colormap(3*binnum+1:5*binnum,2)=1;
colormap(5*binnum:-1:3*binnum+1,3)=binvalue;
colormap(7*binnum:-1:5*binnum+1,1)=1;
colormap(7*binnum:-1:5*binnum+1,2)=binvalue;
colormap(8*binnum:-1:7*binnum+1,1)=binvalue(binnum+1:2*binnum);

depth=max(ceil(depth*num),1);
for i=1:1:row
    for j=1:1:col
        if depth(i,j)==1
            colordepth(i,j,:)=0;
        else
            colordepth(i,j,:)=colormap(depth(i,j),:);
        end
    end
end

end


